// Example1100A: IRremote ON/OFF detector sketch
// with button code on Serial monitor
// H. Kawakami

#include <FastLED.h>
#include <IRremote.h>

const int dataPin = 4;
const int irRecvPin = 11;
const int ledPin = 13;

CRGB leds[1];
IRrecv irrecv(irRecvPin); // IR receive object
decode_results results;   // IR decode object

void setup(){
  pinMode(ledPin, OUTPUT);
  FastLED.addLeds<WS2811, dataPin, RGB>(leds, 1);
  irrecv.enableIRIn();
  Serial.begin(9600);
}

int lightState = 0;

void loop(){
  if (irrecv.decode(&results)==true){
    delay(200);
    lightState = 1-lightState;
    digitalWrite(ledPin, lightState);
    Serial.println(results.value, HEX);
    irrecv.resume();

    if(lightState==0){
      leds[0].setRGB(0, 0, 0);
    }else{
      leds[0].setRGB(255, 68, 221);  // HotPink
    }
    FastLED.show();
  }
}
