// Example1101: Check two buttons: Power & Source
// Blue LED(Pin 13): ON/OFF toggle action
// Power : fast LED(hot pink) ; Source : fast LED(blue)
// H. Kawakami

#include <FastLED.h>
#include <IRremote.h>

const int dataPin = 4;
const int irRecvPin = 11;
const int ledPin = 13;

CRGB leds[1];
IRrecv irrecv(irRecvPin); // IR receive object
decode_results results;   // IR decode object

void setup(){
  pinMode(ledPin, OUTPUT);
  FastLED.addLeds<WS2811, dataPin, RGB>(leds, 1);
  irrecv.enableIRIn();
}

int lightState = 0;

void loop(){
  if (irrecv.decode(&results)){
    delay(200);
    unsigned long rv = results.value;
    lightState = 1-lightState;
    digitalWrite(ledPin, lightState);
 
    if(rv== 0xFF48B7){  // Power button
      leds[0].setRGB(255, 68, 221);// hot pink
    }
    if(rv== 0xFF7887){  // Source button
      leds[0].setRGB(0, 0, 255);   // blue
    }
    FastLED.show();
    irrecv.resume();
  }
}
      
    
