// IRrecvDemo
// Remote controller test program
// Akinori Tsuji, Tokushima University

#include <IRremote.h>

int RECV_PIN = 11;
IRrecv irrecv(RECV_PIN);
decode_results results;

void setup() {
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
}

void loop() {
  if (irrecv.decode(&results) ) {
    if (results.value == 0xFF48B7) { Serial.println("Power"); }
    if (results.value == 0xFF7887) { Serial.println("Source"); }
    if (results.value == 0xFF40BF) { Serial.println("UP"); }
    if (results.value == 0xFF20DF) { Serial.println("LEFT"); }
    if (results.value == 0xFF10EF) { Serial.println("DOWN"); }
    if (results.value == 0xFF609F) { Serial.println("RIGHT"); }
    if (results.value == 0xFFA05F) { Serial.println("OK"); }
    if (results.value == 0xFF50AF) { Serial.println("Menu"); }
    if (results.value == 0xFF30CF) { Serial.println("Vol-"); }
    if (results.value == 0xFFF807) { Serial.println("Vol OFF"); }
    if (results.value == 0xFF708F) { Serial.println("Vol+"); } 
    Serial.println(results.value, HEX);
    irrecv.resume(); // Receive the next value
  }
}

