//
// candleLight: Candle-like flicker
// Modified Example804C
// TapeLED:
// red = 5V
// white = GND
// green  = 4 : DATA_PIN
// H. Kawakami, October, 2015 

#include "FastLED.h"

#define NUM_LEDS 1
#define DATA_PIN 4

CRGB leds[NUM_LEDS];
int sensor;

void setup() {
  delay(2000);
  Serial.begin(9600);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
}

void loop() {
  sensor=flicker();
  Serial.print(sensor);
  Serial.print("     ");
  sensor=map(sensor, 0, 255, 20, 50);  // color range
  Serial.println(sensor);
  fill_solid(&(leds[0]), NUM_LEDS, CHSV(sensor, abs(200-sensor), abs(200-sensor)));
//  fill_solid(&(leds[0]), NUM_LEDS, CHSV(sensor, 200, 200));
  FastLED.show();
  delay(1000);   
}

float x, x1=0.1;

int flicker(){
  x = x1;
  if(x<0.5) x=2.0*x; else x=2.0*(1 - x);
  if(x < 0.05) x = (float)(random(10,50))/256;
  if(x > 0.95) (float)(random(210,253))/256;
  x1 = x;  x = x * 255;
  return (unsigned int)x;
}

