//
// candleLight: Candle-like flicker
// Modified Example804C
// TapeLED:
// red = 5V
// white = GND
// green  = 4 : DATA_PIN
// H. Kawakami, October, 2015 

#include "FastLED.h"

#define NUM_LEDS 1
#define DATA_PIN 4

CRGB leds[NUM_LEDS];
int flame=30;

void setup() {
  delay(2000);
  Serial.begin(9600);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
  randomSeed(analogRead(0));
}

void loop() {
  flame += random(10)-5;
  flame = abs(flame);
  if(flame<10) flame=flame+17;
  Serial.print(flame);
  Serial.print("     ");
  Serial.println(flame);
  fill_solid(&(leds[0]), NUM_LEDS, CHSV(flame, abs(200-flame), abs(200-flame)));
  FastLED.show();
  delay(300);   
}

float x, x1=0.1;

int flicker(){
  x = x1;
  if(x<0.5) x=2.0*x; else x=2.0*(1 - x);
  if(x < 0.05) x = (float)(random(10,50))/256;
  if(x > 0.95) (float)(random(210,253))/256;
  x1 = x;  x = x * 255;
  return (unsigned int)x;
}

