//
// flicker: use an average sensor input
// for reducing led flicker
// H. Kawakami, October, 2015 

#include "FastLED.h"

#define NUM_LEDS 1
#define DATA_PIN 4
#define SENSOR_PIN A3
#define NN 10

CRGB leds[NUM_LEDS];
int sensor;

void setup() {
  Serial.begin(9600);
  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
}

void loop() {
  sensor=0;
  for(int i=0; i<NN; i++){
    sensor += analogRead(SENSOR_PIN);
  }
  sensor = sensor/NN;
  float dist = 12343.85*pow(sensor, -1.15);
  if(dist > 300) dist=300;
  Serial.println(dist);
  
  int dist_d=map(dist, 6, 40, 0, 170);
  fill_solid(&(leds[0]), NUM_LEDS, CHSV(dist_d, 200, 200));
  FastLED.show();
}
